al_init_font_addon(3)

NAME

al_init_font_addon - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_font.h>
    bool al_init_font_addon(void)

DESCRIPTION

Initialise the font addon.

Note that if you intend to load bitmap fonts, you will need to initialise allegro_image separately (unless you are using another library to load images).

Similarly, if you wish to load truetype-fonts, do not forget to also call al_init_ttf_addon(3).

Returns true on success, false on failure. On the 5.0 branch, this function has no return value. You may wish to avoid checking the return value if your code needs to be compatible with Allegro 5.0. Currently, the function will never return false.

SEE ALSO

al_init_image_addon(3), al_init_ttf_addon(3), al_shutdown_font_addon(3)